/*
 * File name     : camdrv.h for DSP 6001/6002, PC04
 * Creation date : Aug. 1998
 * Author        : R.V. Ribas
 */

#define AC_MAJOR 26
#define CC_NAME "C111aT"
#define CCRESET      16
#define CCREAD16     17
#define CCREAD24     18
#define CCREADV16    19
#define CCWRITE16    20
#define CCWRITE24    21
#define CCDMAI16     22
#define CCWAITLAM    23
#define CCREADEVNT   24
#define CCMAXSIZE    25
#define CCLOADEH     26

#define base         0x380
#define GEO_port  (base)
#define FNA_port  (base + 0x02)
#define HB_W      (base + 0x04)
#define LW_W      (base + 0x06)
#define HB_R      (base + 0x08)
#define LW_R      (base + 0x0A)
#define BR_R      (base + 0x0C)
#define S_mod_W   (base + 0x0E)
#define S_mod_R   (base + 0x10)
#define R_S       (base + 0x12)
#define Crate_C   (base + 0x14)
#define Crate_Z   (base + 0x16)
#define Crate_on  (base + 0x18)
#define Crate_off (base + 0x1A)
int CC_IRQ = 9;








