/*
 * Code Interface Node header file 
 */

/*
 * CAMAC-Read Block of 16-Bits words for Wiener CC16 Interface
 */

#include "extcode.h" 
#include "read_bl.h"
#include <conio.h>
#define para 5

CIN MgErr CINInit(void)                         { return noErr; }
CIN MgErr CINDispose(void)                       { return noErr; }
CIN MgErr CINAbort(void)                        { return noErr; }

CIN MgErr CINRun(
						uInt32          *address,
						uInt8           *N, 
						uInt8           *A, 
						uInt8           *F,
						uInt32          *number,
						TD1Hdl          resulth,
						LVBoolean       *X, 
						LVBoolean       *Q)
{
	int32 i;
	int16 *resultp;
	int NFA;
	int status; 
	MgErr error;


	
	if (error = SetCINArraySize((Handle)resulth,para,*number))
	return error;

	(*resulth) -> dimSize = *number;                /* set length of array */
	resultp = (*resulth) -> arg1;                   /* pointer to array */
       
	
	NFA= (*A) << 5;
	NFA= (NFA | (*F)) << 5;
	NFA= NFA | (*N);



	outpw((*address)+2, NFA); 
	
	for (i=0; i< *number-1; i++) 
{
	*resultp = (unsigned int) inpw((*address)+12);
	resultp++;
}

	*resultp = (unsigned int) inpw((*address)+10);


	status=inpw((*address)+18);                         

	if (status & 2)                 /* get X-bit */
	*X = LVTRUE;
	else
	*X = LVFALSE;

	if (status & 1)                 /* get Q-bit */
	*Q = LVTRUE;
	else
	*Q = LVFALSE;


	return noErr;
}

CIN MgErr CINLoad(RsrcFile rf)  { return noErr; }
CIN MgErr CINUnload(void)                       { return noErr; }
CIN MgErr CINSave(RsrcFile rf)  { return noErr; }
