/*
 *    crate_init.c   << Init Crate with Z, Clear A151A Turbo-27 Jan. 2000
 *                       Author   : R.V. Ribas
 */

#include <errno.h> 
#include <stdio.h> 
#include <fcntl.h>

#include "commom/camac.h"

int cc_handle;

int main(int argc, char** argv)
{
  int ierr,arg;
  
  char device[30];
  
  if(argc==0) sprintf(device,"/dev/c111a0");
  else sprintf(device,"%s", argv[0]);
   
  cc_handle = open (device, O_RDWR);
  
  if (cc_handle == -1)
  {
    printf(" Erro abrindo Crate %s \n",device);
    return -1 ;
  } 

  arg=1; /* Z on Crate */
  ierr = ioctl(cc_handle, CCRESET, (unsigned long) arg);

  arg=2; /* Clear on Crate */
  ierr = ioctl(cc_handle, CCRESET, (unsigned long) arg);

  close(cc_handle);
  
  return 1;
}
